Subject: Re: [sacm] OVAL Review and Prioritizing Our Data Model Work

From: "Haynes, Dan" <[email-masked]>
Date: Thu, 5 May 2016 13:31:41 +0000

Just curious, out of this review, does anyone have specific priorities with respect to OVAL-based data models that we need to create?

Thanks,

Danny

From: sacm [mailto:[email-masked]] On Behalf Of Haynes, Dan
Sent: Tuesday, March 15, 2016 12:14 PM
To: [email-masked]
Subject: [sacm] OVAL Review and Prioritizing Our Data Model Work

Based on the 3/9 SACM Virtual Interim Meeting, I just wanted to follow up and clarify the request to review the OVAL I-Ds since it is somewhat different from the request to review the ECP and SWID M&A I-Ds.  Specifically, we see the OVAL I-Ds being used as a starting point for the development of new data models rather than directly being used as the data models for SACM.

As a result, when reviewing the OVAL I-Ds in the order outlined in [1], please do so to understand what is there and to form an opinion on data model development priorities.  I would focus less on evaluating the I-Ds from a purely technical perspective unless you see something that you really like or dislike, in which case, please share it with the list so it can be captured.  The technical overview slides that I presented at the meeting [2] may also be helpful in understanding what is there.

Lastly, when considering priorities, the following is an un-prioritized list of data models that we need to create.

*         Collection Guidance

*         Evaluation Guidance

*         Retention Guidance

*         Posture Attributes

*         Results

Please let me know if I missed any data models in this list or if you have any questions.

Thanks,

Danny

[1] http://www.ietf.org/mail-archive/web/sacm/current/msg03824.html
[2] https://datatracker.ietf.org/doc/slides-interim-2016-sacm-2-3/1/